
local L = AceLibrary("AceLocale-2.2"):new("VisualThemes")

VisualThemes:RegisterFrames(L["Quest Log Frames"], 0, "QuestLogFrame")
VisualThemes:RegisterFrames(L["Quest Log Frames"], 0, "QuestTimerFrame")

VisualThemes:RegisterFrames(L["Mail Box Frames"], 1, "MailFrame")

VisualThemes:RegisterFrames(L["Mail Box Frames"], 0, "OpenMailFrame")


VisualThemes:RegisterFrames(L["Item Link Tooltip"], 0, "ItemRefTooltip")--doesn't hide properly if the same link is clicked again


VisualThemes:RegisterFrames(L["World Map Frame"], 0, "WorldMapFrame")

for i=1, STATICPOPUP_NUMDIALOGS do
	VisualThemes:RegisterFrames(L["Pop-up Dialogs"], 0, "StaticPopup"..i)
end

VisualThemes:RegisterFrames(L["Character Frames"], 0, "ReputationDetailFrame")
VisualThemes:RegisterFrames(L["Character Frames"], 1, "CharacterFrame")


VisualThemes:RegisterFrames(L["Raid Timers"], 0, "RaidInfoFrame")


VisualThemes:RegisterFrames(L["Trade Frame"], 0, "TradeFrame")

VisualThemes:RegisterFrames(L["NPC Frames"], 0, "MerchantFrame")
VisualThemes:RegisterFrames(L["NPC Frames"], 0, "GossipFrame")
VisualThemes:RegisterFrames(L["NPC Frames"], 0, "TaxiFrame")
VisualThemes:RegisterFrames(L["NPC Frames"], 0, "QuestFrame")
VisualThemes:RegisterFrames(L["NPC Frames"], 0, "GuildRegistrarFrame")
VisualThemes:RegisterFrames(L["NPC Frames"], 0, "TabardFrame")

VisualThemes:RegisterFrames(L["Minimap"], 0, "Minimap")--doesn't work on the first minimize?


VisualThemes:RegisterFrames(L["PVP Frames"], 0, "ArenaFrame")
VisualThemes:RegisterFrames(L["PVP Frames"], 0, "ArenaRegistrarFrame")
VisualThemes:RegisterFrames(L["PVP Frames"], 0, "PVPTeamDetails")
VisualThemes:RegisterFrames(L["PVP Frames"], 0, "BattlefieldFrame")
VisualThemes:RegisterFrames(L["PVP Frames"], 0, "WorldStateScoreFrame")


VisualThemes:RegisterFrames(L["LootFrame"], 0, "LootFrame")

VisualThemes:RegisterFrames(L["LFG/M Frame"], 1, "LFGParentFrame")


for i=1, NUM_GROUP_LOOT_FRAMES do
	VisualThemes:RegisterFrames(L["GroupLoot Frames"], 0, "GroupLootFrame"..i) --fixed?
end

VisualThemes:RegisterFrames(L["Inventory Frames"], 0, "StackSplitFrame")

VisualThemes:RegisterFrames(L["Color Picker Frame"], 0, "ColorPickerFrame")
VisualThemes:RegisterFrames(L["Color Picker Frame"], 0, "OpacityFrame")

VisualThemes:RegisterFrames(L["Help Frames"], 0, "TutorialFrame")
VisualThemes:RegisterFrames(L["Help Frames"], 0, "HelpFrame")
VisualThemes:RegisterFrames(L["Help Frames"], 0, "KnowledgeBaseFrame")
VisualThemes:RegisterFrames(L["Help Frames"], 0, "PetitionFrame")

VisualThemes:RegisterFrames(L["Script Errors Frame"], 0, "ScriptErrors")


VisualThemes:RegisterFrames(L["Game Menu Frame"], 0, "GameMenuFrame")
VisualThemes:RegisterFrames(L["Option Frames"], 0, "UIOptionsFrame")--BasicOptions frame doesn't seem to scale properly, so can't include children
VisualThemes:RegisterFrames(L["Option Frames"], 0, "OptionsFrame")
VisualThemes:RegisterFrames(L["Option Frames"], 0, "SoundOptionsFrame")

--VisualThemes:RegisterFrames(L["Chat EditBox"], 0, "ChatFrameEditBox") --disabled until i have time